<!--
 * @Author: zqm
 * @Date: 2022-03-25 17:12:43
 * @LastEditTime: 2022-04-02 14:03:58
 * @LastEditors: Please set LastEditors
 * @Description: 留抵退税弹窗
 * @FilePath: \tableDisplayBusiness\src\components\taxCredit.vue
-->
<template>
  <div>
    <!-- 增值税期末留抵税额退税提示 -->
    <el-dialog title="提示" :visible.sync="ldtsShow" width="30%" center :close-on-click-modal="false" :close-on-press-escape="false" :show-close="false">
      <p class="zzsldtsTipBox" style="text-indent:2em;">尊敬的纳税人您好，根据系统扫描，您可能符合《财政部 税务总局 海关总署关于深化增值税改革有关政策的公告》（2019年第39号）、《财政部 税务总局关于进一步加大增值税期末留抵退税政策实施力度的公告》（财政部 税务总局 2022年第14号）中规定的申请退还留抵税额的条件。请您及时、准确地判定是否符合上述政策规定的申请退还留抵税额的条件。如符合，您可以通过电子税务局或前往办税服务厅申请退还留抵税额。</p>
      <div class="zzsldtsBtn">
        <el-button type="primary" @click="zzsldts('1')">符合条件，立即申请留抵退税</el-button>
      </div>
      <div class="zzsldtsBtn">
        <el-button type="primary" @click="zzsldts('2')">符合条件，暂不申请留抵退税</el-button>
      </div>
      <div class="zzsldtsBtn">
        <el-button type="primary" @click="zzsldts('3')">不符合条件，不申请留抵退税</el-button>
      </div>
    </el-dialog>
    <!-- 需求24748  不申请留抵退税原因弹窗 -->
    <el-dialog title="提示" :visible.sync="selectShow" top="10%" width="25%" center :close-on-click-modal="false" :close-on-press-escape="false" :show-close="false">
      <div class="zzsldts">
        <p>请您选择暂不申请留抵退税原因：</p><br>
        <p style=“width:100%;” class="zzsldtsYy">
          <el-select v-model="msgCodeTs" placeholder="请选择" @change="seletChangeLdts(msgCodeTs)" class="selectwidth">
            <el-option v-for="item in optinonsList" :key="item.value" :label="item.label" :value="item.value">
            </el-option>
          </el-select>
        </p>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="dialogVisibleLdts()">确 定</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
export default {
  name: "taxCredit",
  data() {
    return {
      ldtsShow: false,
      selectShow: false,//选项2弹框
      msgCode: '',//选择弹窗时必传的下拉选
      msgCodeTs: '',//选择弹窗时必传的下拉选
      optinonsList: [
        {
          dm: '2',
          value: '为获得地方财政返还需要达到纳税额标准未申请',
          label: '为获得地方财政返还需要达到纳税额标准未申请',
        },
        {
          dm: '3',
          value: '受退税频次影响预计下期获得更多退税未申请',
          label: '受退税频次影响预计下期获得更多退税未申请',
        },
        {
          dm: '4',
          value: '预计增量留抵税额将于近期快速消化未申请',
          label: '预计增量留抵税额将于近期快速消化未申请',
        },
        {
          dm: '5',
          value: '可退税额较小未申请',
          label: '可退税额较小未申请',
        },
        {
          dm: '7',
          value: '纳税人计划将来适用即征即退政策未申请',
          label: '纳税人计划将来适用即征即退政策未申请',
        },
        {
          dm: '9',
          value: '选择出口退税未申请',
          label: '选择出口退税未申请',
        },
        {
          dm: '10',
          value: '其他原因未申请',
          label: '其他原因未申请',
        }
      ]
    }
  },
  methods: {
    zzsldts(type) {
      if (type == '1') {
        this.getZzsldtsJd('1')
        this.getZzsldtsUrl()
        this.ldtsShow = false;
      } else if (type == '2') {
        this.ldtsShow = false;
        this.selectShow = true
      } else {
        this.getZzsldtsJd('3')
        this.ldtsShow = false;
      }
    },
    // 20969 税务局记录纳税人留抵税额选择的是哪个按钮 前端开发
    getZzsldtsJd(index,type) {
      var _self = this
      var ldseUrl = interfacePrefix + config.saveZzsLdczlx
      var params = {
        "djxh": this.$store.state.data.openData.djxh,
        "yzpzxh": this.$store.state.data.openData.yzpzxh,
        "czlx": index,
        "msgCode":type
      }
      this.ajax.post(ldseUrl, params, function (data) {
        if (data.returnCode == '00') {
          console.log('saveZzsLdczlx接口请求成功')
        } else {
          console.log('saveZzsLdczlx接口请求失败')
        }
        if (index != "1") {
          _self.$parent.hcpFun();
        }
      }, "json", true);
    },
    getZzsldtsUrl() {
      var _self = this
      var params = {
        "djxh": this.$store.state.data.openData.djxh,
      }
      //   if (this.selectRowData.saveUserId == 'ssfwpt') {
      //     params.token = this.selectRowData.token;
      //     params.rylx = this.selectRowData.rylx;
      //     params.zjlx = this.selectRowData.zjlx;
      //     params.zjhm = this.selectRowData.zjhm;
      //     params.dlDjxh = this.selectRowData.dlDjxh;
      //   }
      var ldseTipsUrl = interfacePrefix + config.getZzsQmldseTs
      this.ajax.post(ldseTipsUrl, params, function (data) {
        if (data.ifSuccess == true) {
          if (data.uRL == 'undefined' && data.uRL == undefined && data.uRL == 'null' && data.uRL == null && data.uRL == '') {
            var url = data.uRL;
            window.open(url, "_blank");
          }
        } else {
          _self.$alert("访问出错，请退出后重新登录", '提示', { type: 'warning' });
        }
        _self.$parent.hcpFun();
      }, "json", true);
    },
    // 留底退税下拉选选择弹框
    seletChangeLdts(value) {
      if (value != '') {
        if ($('.zzsldtsYy p').length > 0) {
          // 存在
          $(".emptyzz").remove();
        }
        this.optinonsList.forEach(item => {
          if (item.value == value) {
            this.msgCode = item.dm
          }
        })
      }
    },
    dialogVisibleLdts() {
      if (this.msgCode != '') {
        this.selectShow = false
        if ($('.zzsldtsYy p').length > 0) {
          // 存在
          $(".emptyzz").remove();
        }
        this.$alert('如您后续需要申请留抵退税，仍可以继续按规定申请办理。', '提示', {
          type: 'warning',
          confirmButtonText: '确定',
          callback: action => {
            this.selectShow = false;
          }
        });
        this.getZzsldtsJd('2', this.msgCode)
      } else {
        this.selectShow = true
        var str = '<p style="color:red;" class="emptyzz">暂不申请留抵退税原因不能为空！！</p>'
        if ($('.zzsldtsYy p').length <= 0) {
          // 不存在
          $(".zzsldtsYy").append(str);
        }

      }
    },
  }
}
</script>

<style scoped>
.zzsldtsTipBox {
  text-align: justify;
  margin-bottom: 20px;
}
.zzsldtsBtn {
  padding: 5px 10px;
  text-align: center;
}
.zzsldts .el-select /deep/ .el-input {
  width: 400px;
}
</style>
